#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xfc1e301f, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x8424f952, __VMLINUX_SYMBOL_STR(usbnet_resume) },
	{ 0xa7464713, __VMLINUX_SYMBOL_STR(usbnet_suspend) },
	{ 0xed3fcebd, __VMLINUX_SYMBOL_STR(usbnet_disconnect) },
	{ 0xe27a2d4d, __VMLINUX_SYMBOL_STR(usbnet_set_link_ksettings) },
	{ 0x1baa14bd, __VMLINUX_SYMBOL_STR(usbnet_get_link_ksettings) },
	{ 0xdfe7ecf5, __VMLINUX_SYMBOL_STR(usbnet_nway_reset) },
	{ 0xc01afd3, __VMLINUX_SYMBOL_STR(usbnet_set_msglevel) },
	{ 0xcb9f0d0d, __VMLINUX_SYMBOL_STR(usbnet_get_msglevel) },
	{ 0xa0bf0560, __VMLINUX_SYMBOL_STR(usbnet_get_stats64) },
	{ 0x5b23d077, __VMLINUX_SYMBOL_STR(usbnet_tx_timeout) },
	{ 0xe705fcae, __VMLINUX_SYMBOL_STR(usbnet_change_mtu) },
	{ 0xa5672d34, __VMLINUX_SYMBOL_STR(eth_validate_addr) },
	{ 0x9183ac75, __VMLINUX_SYMBOL_STR(eth_mac_addr) },
	{ 0xfb9418a4, __VMLINUX_SYMBOL_STR(usbnet_start_xmit) },
	{ 0xb19f5446, __VMLINUX_SYMBOL_STR(usbnet_stop) },
	{ 0xb76e33a1, __VMLINUX_SYMBOL_STR(usbnet_open) },
	{ 0x71b0c770, __VMLINUX_SYMBOL_STR(usb_deregister) },
	{ 0x11eebce9, __VMLINUX_SYMBOL_STR(usb_register_driver) },
	{ 0x44781a01, __VMLINUX_SYMBOL_STR(usbnet_status_stop) },
	{ 0x4205ad24, __VMLINUX_SYMBOL_STR(cancel_work_sync) },
	{ 0xfc982daa, __VMLINUX_SYMBOL_STR(del_timer_sync) },
	{ 0xa9acea18, __VMLINUX_SYMBOL_STR(usbnet_link_change) },
	{ 0xf34233f, __VMLINUX_SYMBOL_STR(usb_control_msg) },
	{ 0x49ebacbd, __VMLINUX_SYMBOL_STR(_clear_bit) },
	{ 0x7d114545, __VMLINUX_SYMBOL_STR(usbnet_status_start) },
	{ 0xf134cc66, __VMLINUX_SYMBOL_STR(usbnet_probe) },
	{ 0x62451f4, __VMLINUX_SYMBOL_STR(add_timer) },
	{ 0x526c3a6c, __VMLINUX_SYMBOL_STR(jiffies) },
	{ 0x1bb47d8b, __VMLINUX_SYMBOL_STR(usbnet_write_cmd) },
	{ 0xb2d48a2e, __VMLINUX_SYMBOL_STR(queue_work_on) },
	{ 0x2d3385d3, __VMLINUX_SYMBOL_STR(system_wq) },
	{ 0x676bbc0f, __VMLINUX_SYMBOL_STR(_set_bit) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0x85145f80, __VMLINUX_SYMBOL_STR(dev_err) },
	{ 0x2f739fcb, __VMLINUX_SYMBOL_STR(usbnet_read_cmd) },
	{ 0x5ee52022, __VMLINUX_SYMBOL_STR(init_timer_key) },
	{ 0xd831e88e, __VMLINUX_SYMBOL_STR(netif_carrier_off) },
	{ 0xd5f5d9ad, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0x83105496, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0x23bac55d, __VMLINUX_SYMBOL_STR(usbnet_get_endpoints) },
	{ 0x73e20c1c, __VMLINUX_SYMBOL_STR(strlcpy) },
	{ 0x13570f4e, __VMLINUX_SYMBOL_STR(usbnet_get_drvinfo) },
	{ 0x44d059bf, __VMLINUX_SYMBOL_STR(usbnet_skb_return) },
	{ 0xfb1fc8f4, __VMLINUX_SYMBOL_STR(skb_trim) },
	{ 0xdc7eea42, __VMLINUX_SYMBOL_STR(skb_clone) },
	{ 0xfa2a45e, __VMLINUX_SYMBOL_STR(__memzero) },
	{ 0x2cd272f2, __VMLINUX_SYMBOL_STR(skb_pull) },
	{ 0x9af83ab2, __VMLINUX_SYMBOL_STR(netdev_err) },
	{ 0x84d83617, __VMLINUX_SYMBOL_STR(__dev_kfree_skb_any) },
	{ 0xecaaeb72, __VMLINUX_SYMBOL_STR(skb_push) },
	{ 0xf7802486, __VMLINUX_SYMBOL_STR(__aeabi_uidivmod) },
	{ 0xe4d476b8, __VMLINUX_SYMBOL_STR(__dynamic_dev_dbg) },
	{ 0x2e5810c6, __VMLINUX_SYMBOL_STR(__aeabi_unwind_cpp_pr1) },
	{ 0xb1ad28e0, __VMLINUX_SYMBOL_STR(__gnu_mcount_nc) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,usbcore";

MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0B*");

MODULE_INFO(srcversion, "023228A0A1E66530C590585");
